Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class ComponentEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.ComponentEditPolicy
              org.eclipse.gmf.runtime.diagram.ui.editpolicies.ComponentEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

Direct Known Subclasses:
  ListItemComponentEditPolicy, ViewComponentEditPolicy, VisibilityComponentEditPolicy

public class ComponentEditPolicy
extends ComponentEditPolicy

Concrete class that extends the GEF's `ComponentEditPolicy`. This edit policy will return a command in response to delete requests.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ComponentEditPolicy()`

Method Summary
`protected Command` `createDeleteCommand(GroupRequest deleteRequest)` Returns a delete command to honour the supplied request.
`protected Command` `createDeleteSemanticCommand(GroupRequest deleteRequest)` Return a command to delete the host's semantic elements.
`protected Command` `createDeleteViewCommand(GroupRequest deleteRequest)` Return a command to delete the host's view.
`Command` `getCommand(Request request)`
`protected IInsertableEditPart` `getInsertableEditPart()` getInsertableEditPart Returns the EditPart that can be recipient of the default insert command.
`protected Command` `getInsertCommand(GroupRequest insertRequest)` getInsertCommand Returns an creation command to honour the supplied request.
`protected View` `getView()` Returns the view element to be deleted.
`protected boolean` `shouldDeleteSemantic()` Return `true` if the host element should delete its semantic element; otherwise `false` to delete its view.

Methods inherited from class org.eclipse.gef.editpolicies.ComponentEditPolicy
`getDeleteCommand, getOrphanCommand`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComponentEditPolicy

    public ComponentEditPolicy()

Method Detail

### createDeleteCommand

    protected final Command createDeleteCommand(GroupRequest deleteRequest)

  Returns a delete command to honour the supplied request. Calls `ComponentEditPolicy.createDeleteSemanticCommand(GroupRequest)` if `ComponentEditPolicy.shouldDeleteSemantic()` returns `true`; othwerise `ComponentEditPolicy.createDeleteViewCommand(GroupRequest)` is called.

  See Also:
    `ComponentEditPolicy.createDeleteCommand(GroupRequest)`

### shouldDeleteSemantic

    protected boolean shouldDeleteSemantic()

  Return `true` if the host element should delete its semantic element; otherwise `false` to delete its view. A `true` return value implies that the host's parent is using a canonical model manager.

  Returns:
    true or false

### createDeleteViewCommand

    protected Command createDeleteViewCommand(GroupRequest deleteRequest)

  Return a command to delete the host's view. The host's primary view is deleted if `GroupRequest.getEditParts()` returns a `null` or empty list; otherwise each editpart's view is deleted.

  Parameters:
    `deleteRequest` - the original delete request.
  Returns:
    Command

### createDeleteSemanticCommand

    protected Command createDeleteSemanticCommand(GroupRequest deleteRequest)

  Return a command to delete the host's semantic elements. This method is called if the host is canonical.

  Parameters:
    `deleteRequest` - the original delete request.
  Returns:
    Command
  See Also:
    `ComponentEditPolicy.shouldDeleteSemantic()`

### getView

    protected View getView()

  Returns the view element to be deleted.

  Returns:
    the host's primary view element.

### getInsertableEditPart

    protected IInsertableEditPart getInsertableEditPart()

  getInsertableEditPart Returns the EditPart that can be recipient of the default insert command.

  Returns:
    IInsertableEditPart

### getInsertCommand

    protected Command getInsertCommand(GroupRequest insertRequest)

  getInsertCommand Returns an creation command to honour the supplied request.

  Parameters:
    `insertRequest` -
  Returns:
    Command that will create the default sementic element responding to insert.

### getCommand

    public Command getCommand(Request request)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.